NotationDeclaration (Java SE 10 & JDK 10 )
Keywords: javax.xml.stream.events.NotationDeclaration interface

Module java.xml
Package javax.xml.stream.events

## Interface NotationDeclaration

- All Superinterfaces:
    `XMLEvent`, `XMLStreamConstants`

      public interface NotationDeclaration
      extends XMLEvent

  An interface for handling Notation Declarations Receive notification of a notation declaration event. It is up to the application to record the notation for later reference, At least one of publicId and systemId must be non-null. There is no guarantee that the notation declaration will be reported before any unparsed entities that use it.
  Since:
    1.6
  Version:
    1.0

- - ### Field Summary

    - ### Fields declared in interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` | The notation name.
    `String` | `getPublicId()` | The notation's public identifier, or null if none was given.
    `String` | `getSystemId()` | The notation's system identifier, or null if none was given.

    - ### Methods declared in interface javax.xml.stream.events.XMLEvent

      `asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

- - ### Method Detail

    - #### getName

          String getName()

      The notation name.

    - #### getPublicId

          String getPublicId()

      The notation's public identifier, or null if none was given.

    - #### getSystemId

          String getSystemId()

      The notation's system identifier, or null if none was given.